Bug 755791 - Crash below gconf_client_add_dir called from other than main thread
Crash below gconf_client_add_dir called from other than main thread
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: evolution-data-server (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthew Barnes
Fedora Extras Quality Assurance
abrt_hash:00b202cc8357085c9ba879d0034...
:
: 760181 760435 760694 761287 767454 767969 770189 773064 782440 783610 784199 786426 788146 801258 801418 801886 802595 802858 803053 803926 804864 808117 808920 809474 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-11-21 22:48 EST by Larry O'Leary
Modified: 2012-04-11 12:56 EDT (History)
27 users (show)

See Also:
Fixed In Version: evolution-data-server-3.2.3-3.fc16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-11 00:00:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: maps (41.38 KB, text/plain)
2011-11-21 22:48 EST, Larry O'Leary
no flags Details
File: backtrace (47.04 KB, text/plain)
2011-11-21 22:48 EST, Larry O'Leary
no flags Details
File: backtrace (17.02 KB, text/plain)
2012-02-21 15:41 EST, jwest81
no flags Details
File: backtrace (16.63 KB, text/plain)
2012-02-22 10:49 EST, Christopher Beland
no flags Details
File: backtrace (30.82 KB, text/plain)
2012-02-29 06:22 EST, stuart_ledwich
no flags Details
File: backtrace (29.67 KB, text/plain)
2012-03-03 03:18 EST, Allan Engelhardt
no flags Details
File: backtrace (22.97 KB, text/plain)
2012-03-29 16:29 EDT, Daniel Demus
no flags Details

  None (edit)
Description Larry O'Leary 2011-11-21 22:48:40 EST
libreport version: 2.0.6
abrt_version:   2.0.4.981
backtrace_rating: 4
cmdline:        /usr/libexec/e-calendar-factory
executable:     /usr/libexec/e-calendar-factory
kernel:         3.1.1-2.fc16.x86_64
reason:         Process /usr/libexec/e-calendar-factory was killed by signal 11 (SIGSEGV)
time:           Mon Nov 21 21:35:51 2011
uid:            1500
username:       loleary
var_log_messages: Nov 21 21:35:53 home02 abrt[4533]: saved core dump of pid 3614 (/usr/libexec/e-calendar-factory) to /var/spool/abrt/ccpp-2011-11-21-21:35:51-3614 (271077376 bytes)

backtrace:      Text file, 48167 bytes
maps:           Text file, 42376 bytes

build_ids:
:e5d5469373e3a398567751f2a6c106cf3308a68b
:aaf7ed41612348bd1141db06cadd428244aa6ea5
:89017ab0b75e533e4294f74ee8f7db3daceea536
:e3c88cb9ea428bd61f4064dbd53acae2d396a1ec
:35b28d014659e2dbca460859b84c985e03695724
:c8e7f118041a9f77e0dd673da11b5653be27b5a2
:a594ab36356a9b6dc6ecf25a6124463ccbfd0a29
:17ef36c4f4e8918b9ab1c2e3eaca7c9b584ad5cb
:30af62b93e2ab7dbaf39c52e346cd52101b4b590
:9d1209fc79304f03cc839de1c0036c61b48dfff8
:44ece411beb2ef1acdb5eb2161666de41cc2f31d
:a2960147ad19dd5da7908715cddbc33e005dd309
:aaf62304b0fc10611d35b4f56005479d4c58868d
:8acc43df965b3c0a70dcfad11c0ade056bdb055b
:7994f114cf7189e482f2665fae8e351ed8bc05e3
:376567a97a463859c28334ed8bf71262183298c2
:2da161d9f11b88a36642daa49bae0a8d9a416d21
:017a0c9c46d30256c1d6af189b4809146ef312f6
:a4aa4dbbde0442f619ec6e181401f35a165a1ad7
:180bf00a5996edd6121f13a17673245e994479b3
:91689252818532ec13597b6528d38be93b2706c4
:e5d7ac2dfe435e205e491f7ce827563859fca4f4
:3e2404bd469800afd61eda83d0292a2165ef0db0
:37c84b700d36cedd486ab4259d4fb8cd34eb0d6b
:e2e9aa46522b1e2189777d91a5666c34fc7d46df
:5247dd94e5eb5d90145d7a6b86ccc3e7a2624b23
:545fac2346ca24589041213956b7f22f7e91c139
:5f68fecc89bbb7cf2200b4caed6fb26006a189b7
:ec72f897bbac2f33aadee57e01b7e01bbed4c534
:969db74cda9ae012982ba09c1aa54c0c9f4d90be
:aead7371afa35cca738c0864afa01b9d177c23d0
:0ce9819eb7014de7e72eec40979dd5e4d6566dca
:f0d50e3af2dfee021a327fb85a993a2312a98145
:9af722e8d4717709aa49739efc0ed10d0f952e3e
:a2748a35d28f083d729359d9c06bc85158408ee3
:61ac3f383cec542ca2371917cef83b9a0648af70
:6ecc3efaedf849a17c30a67fe15b4dacca1bd981
:8968deb99d64e19fb65f4855a1f8723cc5b2fa41
:48aea888319e1848137073c9cbde54a4c2a731c9
:bb0e49a34a6f3a11e3660ce4427119f31264d5f6
:edebfad67bdac472272d049dc7ec302f47b02f32
:2ad2303894b40249d29a4726200ce7df51ded973
:be507c791e34415e8f42f0e6030c889b2895cf9a
:3d22dd762f2430ac679e61c98e8d856e5f3423ed
:0fccce2fdb46650674ef5b64fae5f25f14c88e08
:c6739204320eb15bdcdba039a2b183298170403e
:3a81f7eeb29d0dd7f11741ad59a327c699598614
:b67d01f9230119a215e7151dc3aa43428b886c8f
:32eeba9032ecead38442bdf6328d89464a151a7e
:951b6bb242336be75860604addacf1caacc8f10d
:98fa95d21e16075ada6df19748c6c133ee9165d0
:87461d97d0ba0bd94e4d74ff0879190b67b326c5
:ed91c88f5cf091545c29a32c54f3322017e2ccea
:7110c8ac5ea9a650cbf77c51e8cc1df7c407fafd
:701c8cd759f655fae8c102c779740becb24ee061
:36a149d1e2c29890b616402f6bc5e3f69ca2738e
:29c869a877c1ceade9538f84f5ec70c3901b66b3
:8264e35452b2a930c1b9b092b87f32d42d69d8c5
:c8a4e40c84c2f52e78c64d31efc0191c565a9049
:7109859fdd4912a7b36eea239079fd72b5575d18
:163b323da65b708418226eb5fa8b057c731d1475
:0911ea7c180d733724f89037b8e8a34e64024aec
:0406dc93e5d067b98e166932201a6df7dde67888
:6502dd4813f98137c70e6e05cc43828f5c2263c1
:b0eabf9093defbfdd0857ea3ed1a4563b743434e
:4c842320387ff7f6f91b7842b223c16518be909f
:07470201df55a5254027d05fa4dc509b10f2986a
:664c0ce1f1d5d732bde32584db87e8a131a1624f
:3b50812827b755646178db9447ced77425add5d8
:11307731c4aa95e08b6de3064d064a12d12dee8f
:c2d49d72ec1a1e68b39c3724693f83f44d80a259
:41c7c5713a1ff8a43af5ad8e4db749a5bf6ae044
:15c25336f081a938b4c7bdc13478f620c614242d
:51b8821c49eb1c9f2507aeb186a60ca79bd5efe9
:e21d62a3622c3edb824299d83be75df8fdddbe53
:1c6a95451ee19617be5abea3d121f0226d21ddda
:bc76d04dd3f17db91680cbfd358d47c9d923326a
:086b8d05a2fb6992634d2e22e69d7aefe16cf390
:23127d1f271059affe0b612fbd2dc5851c02471f
:48d3cff26c916dff6cbcb5e67d5cf6d391f6ccca
:79389d6f18ecbbb5be013da5d0e28af492387d84
:70e16b48111549ef57f5a0a2df930ae4c3cc8f93
:4953d1f613914126bccceb3cb96386647ffba9df
:7c13508b12d4d15e5577e5303497f2cfa11f0afd
:b492837dde7c9f97bee3e688aa7a2eb39ed1666a
:7e2907a76435b3ab5bb8cf3824256e105b6a6863
:94e29139152ba767534403cf94a672fe6b3fe515
:3776dc2380e94cd25dbf108366fa3ca5371f7ecd
:e567a4b498aa9dfc484575e666a17925f0944318
:b77200bf76fd8c69a30220dd6709b244b215e829
:96b658cb99faee728509d135150ba661ad112444
:56d0d755b880afdd9ebf2c8c707282384fed90fd
:650b733aecfb9c46bdfc023661f19244a278df04
:b0a2d0b4c09d819887ec7d711c8cf3977a074c4f
:a518a8b1b5c3e80dee813df05e951d205d6ac48c
:17730a82a5bb819d62b901c3176ec87abc353e68

comment:
:After receiving updated meeting invitation for a meeting that was already in my calendar:
:1) Deselect "Send reply to sender"
:2) Select "Show time as free"
:3) Click "Decline" button
:
:Meeting invite was not processed and crash was generated.

dso_list:
:/lib64/libm-2.14.90.so glibc-2.14.90-14.x86_64 (Fedora Project) 1321760309
:/lib64/libfreebl3.so nss-softokn-freebl-3.12.10-6.fc16.x86_64 (Fedora Project) 1321760294
:/lib64/libgio-2.0.so.0.3000.1 glib2-2.30.1-1.fc16.x86_64 (Fedora Project) 1321760325
:/usr/lib64/libgdk-3.so.0.200.1 gtk3-3.2.1-1.fc16.x86_64 (Fedora Project) 1321761013
:/lib64/libgcc_s-4.6.2-20111027.so.1 libgcc-4.6.2-1.fc16.x86_64 (Fedora Project) 1321760280
:/lib64/libnspr4.so nspr-4.8.8-4.fc16.x86_64 (Fedora Project) 1321760319
:/lib64/libgcrypt.so.11.7.0 libgcrypt-1.5.0-2.fc16.x86_64 (Fedora Project) 1321760322
:/usr/lib64/libXdamage.so.1.1.0 libXdamage-1.1.3-2.fc15.x86_64 (Fedora Project) 1321760333
:/usr/lib64/libssl.so.1.0.0e openssl-1.0.0e-1.fc16.x86_64 (Fedora Project) 1321760562
:/usr/lib64/libpng12.so.0.46.0 libpng-2:1.2.46-1.fc16.x86_64 (Fedora Project) 1321760319
:/usr/lib64/libatk-1.0.so.0.20209.1 atk-2.2.0-2.fc16.x86_64 (Fedora Project) 1321760326
:/lib64/libz.so.1.2.5 zlib-1.2.5-5.fc16.x86_64 (Fedora Project) 1321760318
:/lib64/ld-2.14.90.so glibc-2.14.90-14.x86_64 (Fedora Project) 1321760309
:/usr/lib64/libXext.so.6.4.0 libXext-1.2.0-2.fc15.x86_64 (Fedora Project) 1321760333
:/lib64/libgthread-2.0.so.0.3000.1 glib2-2.30.1-1.fc16.x86_64 (Fedora Project) 1321760325
:/usr/lib/locale/locale-archive glibc-common-2.14.90-14.x86_64 (Fedora Project) 1321760304
:/usr/lib64/gio/modules/libgiognutls.so glib-networking-2.30.1-2.fc16.x86_64 (Fedora Project) 1321760540
:/usr/lib64/libXcursor.so.1.0.2 libXcursor-1.1.11-3.fc15.x86_64 (Fedora Project) 1321760334
:/usr/lib64/libebook-1.2.so.12.3.1 evolution-data-server-3.2.1-1.fc16.x86_64 (Fedora Project) 1321761046
:/usr/lib64/libxcb.so.1.1.0 libxcb-1.7-3.fc16.x86_64 (Fedora Project) 1321760333
:/usr/lib64/libgdk_pixbuf-2.0.so.0.2400.0 gdk-pixbuf2-2.24.0-1.fc16.x86_64 (Fedora Project) 1321760341
:/lib64/libresolv-2.14.90.so glibc-2.14.90-14.x86_64 (Fedora Project) 1321760309
:/usr/lib64/libtasn1.so.3.1.9 libtasn1-2.7-2.fc15.x86_64 (Fedora Project) 1321760337
:/usr/lib64/libfontconfig.so.1.4.4 fontconfig-2.8.0-4.fc16.x86_64 (Fedora Project) 1321760560
:/lib64/libnss_dns-2.14.90.so glibc-2.14.90-14.x86_64 (Fedora Project) 1321760309
:/usr/lib64/evolution-data-server/calendar-backends/libecalbackendfile.so evolution-data-server-3.2.1-1.fc16.x86_64 (Fedora Project) 1321761046
:/usr/lib64/libgweather-3.so.0.0.3 libgweather-3.2.0-1.fc16.x86_64 (Fedora Project) 1321761044
:/lib64/librt-2.14.90.so glibc-2.14.90-14.x86_64 (Fedora Project) 1321760309
:/usr/lib64/libpangoft2-1.0.so.0.2904.0 pango-1.29.4-1.fc16.x86_64 (Fedora Project) 1321760615
:/usr/lib64/libpixman-1.so.0.22.2 pixman-0.22.2-1.fc16.x86_64 (Fedora Project) 1321760330
:/usr/lib64/libical.so.0.46.0 libical-0.46-3.fc15.x86_64 (Fedora Project) 1321760342
:/usr/lib64/evolution-data-server/calendar-backends/libecalbackendcontacts.so evolution-data-server-3.2.1-1.fc16.x86_64 (Fedora Project) 1321761046
:/usr/lib64/libedataserver-1.2.so.15.0.0 evolution-data-server-3.2.1-1.fc16.x86_64 (Fedora Project) 1321761046
:/usr/lib64/libsoup-gnome-2.4.so.1.4.0 libsoup-2.36.1-2.fc16.x86_64 (Fedora Project) 1321760541
:/usr/lib64/libgnome-keyring.so.0.1.1 libgnome-keyring-3.2.0-1.fc16.x86_64 (Fedora Project) 1321760326
:/lib64/libcom_err.so.2.1 libcom_err-1.41.14-2.fc15.x86_64 (Fedora Project) 1321760320
:/lib64/libnss_mdns4_minimal.so.2 nss-mdns-0.10-9.fc15.x86_64 (Fedora Project) 1321761155
:/usr/lib64/libfreetype.so.6.7.1 freetype-2.4.6-3.fc16.x86_64 (Fedora Project) 1321760317
:/lib64/libselinux.so.1 libselinux-2.1.6-4.fc16.x86_64 (Fedora Project) 1321760317
:/usr/lib64/libedata-cal-1.2.so.13.0.0 evolution-data-server-3.2.1-1.fc16.x86_64 (Fedora Project) 1321761046
:/usr/lib64/libXrender.so.1.3.0 libXrender-0.9.6-2.fc15.x86_64 (Fedora Project) 1321760334
:/usr/lib64/libsoup-2.4.so.1.4.0 libsoup-2.36.1-2.fc16.x86_64 (Fedora Project) 1321760541
:/usr/lib64/libpango-1.0.so.0.2904.0 pango-1.29.4-1.fc16.x86_64 (Fedora Project) 1321760615
:/usr/lib64/libnssutil3.so nss-util-3.12.10-1.fc16.x86_64 (Fedora Project) 1321760320
:/lib64/libgobject-2.0.so.0.3000.1 glib2-2.30.1-1.fc16.x86_64 (Fedora Project) 1321760325
:/usr/lib64/libsqlite3.so.0.8.6 sqlite-3.7.7.1-1.fc16.x86_64 (Fedora Project) 1321760321
:/usr/lib64/libsasl2.so.2.0.23 cyrus-sasl-lib-2.1.23-25.fc16.x86_64 (Fedora Project) 1321760396
:/lib64/libgmodule-2.0.so.0.3000.1 glib2-2.30.1-1.fc16.x86_64 (Fedora Project) 1321760325
:/usr/lib64/libdbus-glib-1.so.2.1.0 dbus-glib-0.92-2.fc15.x86_64 (Fedora Project) 1321760326
:/usr/lib64/libgnutls.so.26.21.1 gnutls-2.12.7-2.fc16.x86_64 (Fedora Project) 1321760337
:/lib64/libpthread-2.14.90.so glibc-2.14.90-14.x86_64 (Fedora Project) 1321760309
:/usr/lib64/libXfixes.so.3.1.0 libXfixes-5.0-1.fc16.x86_64 (Fedora Project) 1321760333
:/usr/lib64/libnss3.so nss-3.12.10-7.fc16.x86_64 (Fedora Project) 1321760646
:/usr/lib64/gconv/gconv-modules.cache glibc-2.14.90-14.x86_64 (Fedora Project) 1321760309
:/usr/lib64/libsmime3.so nss-3.12.10-7.fc16.x86_64 (Fedora Project) 1321760646
:/lib64/libkrb5.so.3.3 krb5-libs-1.9.1-18.fc16.x86_64 (Fedora Project) 1321760335
:/usr/lib64/libebackend-1.2.so.1.0.0 evolution-data-server-3.2.1-1.fc16.x86_64 (Fedora Project) 1321761046
:/lib64/libcrypt-2.14.90.so glibc-2.14.90-14.x86_64 (Fedora Project) 1321760309
:/usr/lib64/libxml2.so.2.7.8 libxml2-2.7.8-6.fc16.x86_64 (Fedora Project) 1321760319
:/usr/lib64/gio/modules/libdconfsettings.so dconf-0.10.0-1.fc16.x86_64 (Fedora Project) 1321760977
:/lib64/libdbus-1.so.3.5.6 dbus-libs-1:1.4.10-3.fc16.x86_64 (Fedora Project) 1321760319
:/lib64/libdl-2.14.90.so glibc-2.14.90-14.x86_64 (Fedora Project) 1321760309
:/lib64/libk5crypto.so.3.1 krb5-libs-1.9.1-18.fc16.x86_64 (Fedora Project) 1321760335
:/usr/lib64/libicalss.so.0.46.0 libical-0.46-3.fc15.x86_64 (Fedora Project) 1321760342
:/usr/lib64/libXau.so.6.0.0 libXau-1.0.6-2.fc15.x86_64 (Fedora Project) 1321760332
:/usr/lib64/libXrandr.so.2.2.0 libXrandr-1.3.1-2.fc15.x86_64 (Fedora Project) 1321760334
:/usr/lib64/libecal-1.2.so.10.2.2 evolution-data-server-3.2.1-1.fc16.x86_64 (Fedora Project) 1321761046
:/usr/lib64/libstdc++.so.6.0.16 libstdc++-4.6.2-1.fc16.x86_64 (Fedora Project) 1321760318
:/usr/lib64/libXcomposite.so.1.0.0 libXcomposite-0.4.3-2.fc15.x86_64 (Fedora Project) 1321760333
:/usr/lib64/evolution-data-server/calendar-backends/libecalbackendweather.so evolution-data-server-3.2.1-1.fc16.x86_64 (Fedora Project) 1321761046
:/usr/lib64/libXi.so.6.1.0 libXi-1.4.3-3.fc16.x86_64 (Fedora Project) 1321760334
:/usr/lib64/libgtk-3.so.0.200.1 gtk3-3.2.1-1.fc16.x86_64 (Fedora Project) 1321761013
:/lib64/libkeyutils.so.1.4 keyutils-libs-1.5.2-1.fc16.x86_64 (Fedora Project) 1321760335
:/usr/lib64/libffi.so.5.0.10 libffi-3.0.10-1.fc16.x86_64 (Fedora Project) 1321760323
:/lib64/libgssapi_krb5.so.2.2 krb5-libs-1.9.1-18.fc16.x86_64 (Fedora Project) 1321760335
:/usr/libexec/e-calendar-factory evolution-data-server-3.2.1-1.fc16.x86_64 (Fedora Project) 1321761046
:/usr/lib64/libXinerama.so.1.0.0 libXinerama-1.1.1-2.fc15.x86_64 (Fedora Project) 1321760334
:/lib64/libexpat.so.1.5.2 expat-2.0.1-11.fc15.x86_64 (Fedora Project) 1321760323
:/lib64/libnss_files-2.14.90.so glibc-2.14.90-14.x86_64 (Fedora Project) 1321760309
:/usr/lib64/evolution-data-server/calendar-backends/libecalbackendhttp.so evolution-data-server-3.2.1-1.fc16.x86_64 (Fedora Project) 1321761046
:/usr/lib64/libcamel-1.2.so.29.0.0 evolution-data-server-3.2.1-1.fc16.x86_64 (Fedora Project) 1321761046
:/lib64/libglib-2.0.so.0.3000.1 glib2-2.30.1-1.fc16.x86_64 (Fedora Project) 1321760325
:/usr/lib64/libX11.so.6.3.0 libX11-1.4.3-1.fc16.x86_64 (Fedora Project) 1321760333
:/usr/lib64/libssl3.so nss-3.12.10-7.fc16.x86_64 (Fedora Project) 1321760646
:/usr/lib64/libicalvcal.so.0.46.0 libical-0.46-3.fc15.x86_64 (Fedora Project) 1321760342
:/lib64/libplds4.so nspr-4.8.8-4.fc16.x86_64 (Fedora Project) 1321760319
:/lib64/libc-2.14.90.so glibc-2.14.90-14.x86_64 (Fedora Project) 1321760309
:/usr/lib64/evolution-data-server/calendar-backends/libecalbackendcaldav.so evolution-data-server-3.2.1-1.fc16.x86_64 (Fedora Project) 1321761046
:/usr/lib64/libpangocairo-1.0.so.0.2904.0 pango-1.29.4-1.fc16.x86_64 (Fedora Project) 1321760615
:/lib64/libplc4.so nspr-4.8.8-4.fc16.x86_64 (Fedora Project) 1321760319
:/usr/lib64/gio/modules/libgiognomeproxy.so glib-networking-2.30.1-2.fc16.x86_64 (Fedora Project) 1321760540
:/lib64/libkrb5support.so.0.1 krb5-libs-1.9.1-18.fc16.x86_64 (Fedora Project) 1321760335
:/usr/lib64/libcairo-gobject.so.2.11000.2 cairo-gobject-1.10.2-4.fc16.x86_64 (Fedora Project) 1321760561
:/lib64/libgpg-error.so.0.8.0 libgpg-error-1.10-1.fc16.x86_64 (Fedora Project) 1321760322
:/lib64/libdb-4.8.so db4-4.8.30-3.fc15.x86_64 (Fedora Project) 1321760329
:/usr/lib64/libgconf-2.so.4.1.5 GConf2-3.2.3-1.fc16.x86_64 (Fedora Project) 1321760989
:/lib64/libcrypto.so.1.0.0e openssl-1.0.0e-1.fc16.x86_64 (Fedora Project) 1321760562
:/usr/lib64/libcairo.so.2.11000.2 cairo-1.10.2-4.fc16.x86_64 (Fedora Project) 1321760561

environ:
:SHELL=/bin/bash
:DBUS_STARTER_ADDRESS=unix:abstract=/tmp/dbus-XZRE1Hw2eu,guid=8c660832e86b324cc716f0ea00006c9c
:XDG_SESSION_COOKIE=d8406ad7ffc56dd3bb5caeff00000011-1321931540.20349-445351675
:XDG_RUNTIME_DIR=/run/user/loleary
:DISPLAY=:0
:DESKTOP_SESSION=gnome
:SSH_AUTH_SOCK=/tmp/keyring-eYQUhd/ssh
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/3269,unix/unix:/tmp/.ICE-unix/3269
:WINDOWPATH=2
:PATH=/usr/local/bin:/usr/bin:/bin
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:GDMSESSION=gnome
:XDG_VTNR=2
:USERNAME=loleary
:XDG_SESSION_ID=10
:GPG_AGENT_INFO=/tmp/keyring-eYQUhd/gpg:0:1
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-XZRE1Hw2eu,guid=8c660832e86b324cc716f0ea00006c9c
:XDG_SEAT=seat0
:XAUTHORITY=/var/run/gdm/auth-for-loleary-PiJjL3/database
:USER=loleary
:DBUS_STARTER_BUS_TYPE=session
:GNOME_KEYRING_PID=3261
:SHLVL=1
:GDM_LANG=en_US.utf8
:PWD=/home/loleary
:GNOME_KEYRING_CONTROL=/tmp/keyring-eYQUhd
:LANG=en_US.utf8
:_=/usr/bin/dbus-launch
:LOGNAME=loleary
:HOME=/home/loleary
Comment 1 Larry O'Leary 2011-11-21 22:48:45 EST
Created attachment 534908 [details]
File: maps
Comment 2 Larry O'Leary 2011-11-21 22:48:47 EST
Created attachment 534909 [details]
File: backtrace
Comment 3 Milan Crha 2011-11-22 03:44:59 EST
Thanks for a bug report. I'm moving this to GConf, because its DBus backend is using thread unsafe dbus-glib, instead of GDBus, thus this is crashing when the dbus-glib is used from two threads, what happened here. The thing is that evoltuion only called gconf_client_add_dir() from a non-main thread while the main thread was doing something in dbus-glib. Evolution(-data-server) itself is using GDBus in 3.2.x. Note that 3.4.0 will most like drop its dependency on GConf in favour of GSettings.
Comment 4 Milan Crha 2011-12-06 04:24:10 EST
*** Bug 760181 has been marked as a duplicate of this bug. ***
Comment 5 Milan Crha 2011-12-06 05:05:23 EST
*** Bug 760435 has been marked as a duplicate of this bug. ***
Comment 6 Milan Crha 2011-12-07 04:03:19 EST
*** Bug 760694 has been marked as a duplicate of this bug. ***
Comment 7 Milan Crha 2011-12-08 04:31:29 EST
Thread 1 (Thread 0x7fbed0cf9700 (LWP 4532)):
#0  0x00000037f3227767 in _dbus_list_unlink (list=0x1fed0c0, link=0x1fecbd0) at dbus-list.c:518
No locals.
#1  0x00000037f3227989 in _dbus_list_pop_first_link (list=0x1fed0c0) at dbus-list.c:644
        link = 0x1fecbd0
#2  0x00000037f3223e79 in _dbus_transport_queue_messages (transport=0x1feced0) at dbus-transport.c:1131
        message = <optimized out>
        link = <optimized out>
        status = <optimized out>
#3  0x00000037f3224894 in do_reading (transport=0x1feced0) at dbus-transport-socket.c:851
        buffer = 0x1fed0a8
        bytes_read = 80
        total = 80
#4  0x00000037f3224ed6 in do_reading (transport=0x1feced0) at dbus-transport-socket.c:706
        socket_transport = 0x1feced0
#5  socket_do_iteration (transport=0x1feced0, flags=6, timeout_milliseconds=<optimized out>) at dbus-transport-socket.c:1162
        need_read = 1
        need_write = 0
        authentication_completed = 0
        socket_transport = 0x1feced0
        poll_fd = {fd = 5, events = 1, revents = 1}
        poll_res = 1
        poll_timeout = <optimized out>
#6  0x00000037f3223c3d in _dbus_transport_do_iteration (transport=0x1feced0, flags=<optimized out>, timeout_milliseconds=<optimized out>) at dbus-transport.c:974
No locals.
#7  0x00000037f320eb45 in _dbus_connection_do_iteration_unlocked (connection=0x1fed5b0, pending=<optimized out>, flags=6, timeout_milliseconds=25000) at dbus-connection.c:1206
No locals.
#8  0x00000037f320fea9 in _dbus_connection_block_pending_call (pending=0x7fbea4018840) at dbus-connection.c:2409
        start_tv_sec = <optimized out>
        start_tv_usec = <optimized out>
        tv_sec = <optimized out>
        tv_usec = <optimized out>
        status = <optimized out>
        connection = 0x1fed5b0
        client_serial = 37
        timeout = 0x7fbea4018890
        timeout_milliseconds = 25000
        elapsed_milliseconds = <optimized out>
#9  0x00000037f320f464 in dbus_connection_send_with_reply_and_block (connection=0x1fed5b0, message=0x1fed920, timeout_milliseconds=-1, error=0x7fbed0cf8a60) at dbus-connection.c:3556
        reply = <optimized out>
        pending = 0x7fbea4018840
        __FUNCTION__ = "dbus_connection_send_with_reply_and_block"
#10 0x00000037fe621324 in gconf_engine_all_entries (conf=<optimized out>, dir=0x3804237248 "/apps/evolution/mail/accounts", err=0x7fbed0cf8ac8) at gconf-dbus.c:1849
        entries = 0x0
        db = <optimized out>
        message = 0x1fed920
        reply = <optimized out>
        error = {name = 0x0, message = 0x0, dummy1 = 1, dummy2 = 0, dummy3 = 0, dummy4 = 1, dummy5 = 0, padding1 = 0x37f064b793}
        iter = {dummy1 = 0x0, dummy2 = 0x7fbed0cf8b28, dummy3 = 7, dummy4 = 0, dummy5 = -1543324980, dummy6 = 32702, dummy7 = 33472928, dummy8 = 0, dummy9 = -791704792, dummy10 = 32702, dummy11 = 7, pad1 = 0, pad2 = -1543324980, pad3 = 0x7fbea401be70}
        locale = 0x1fdaf20 "en_US.utf8"
        __PRETTY_FUNCTION__ = "gconf_engine_all_entries"
#11 0x00000037fe619654 in cache_pairs_in_dir (client=0x1feb520, dir=0x3804237248 "/apps/evolution/mail/accounts", recursive=0) at gconf-client.c:971
        pairs = <optimized out>
        error = 0x0
#12 0x00000037fe61ca1b in gconf_client_add_dir (client=0x1feb520, dirname=0x3804237248 "/apps/evolution/mail/accounts", preload=GCONF_CLIENT_PRELOAD_ONELEVEL, err=0x0) at gconf-client.c:631
        overlap_dir = <optimized out>
        d = 0x7fbea402b120
        notify_id = <optimized out>
        error = 0x0
        __PRETTY_FUNCTION__ = "gconf_client_add_dir"
#13 0x0000003804211af9 in e_account_list_construct (account_list=0x7fbe9c026f70, gconf=0x1feb520) at e-account-list.c:253
        __PRETTY_FUNCTION__ = "e_account_list_construct"
#14 0x0000003804211bb1 in e_account_list_new (gconf=0x1feb520) at e-account-list.c:238
        account_list = <optimized out>
        __PRETTY_FUNCTION__ = "e_account_list_new"
#15 0x00000037efe2254e in e_cal_backend_user_declined (icalcomp=0x7fbea402bb70) at e-cal-backend-util.c:163
Comment 8 Milan Crha 2011-12-08 04:32:55 EST
*** Bug 761287 has been marked as a duplicate of this bug. ***
Comment 9 Milan Crha 2011-12-14 02:45:09 EST
*** Bug 767454 has been marked as a duplicate of this bug. ***
Comment 10 Milan Crha 2011-12-16 01:00:47 EST
*** Bug 767969 has been marked as a duplicate of this bug. ***
Comment 11 cnangel 2011-12-25 21:31:45 EST
i accept a meeting from evolution

rating: 4
Package: evolution-data-server-3.2.2-1.fc16
Architecture: i686
OS Release: Fedora release 16 (Verne)
Comment 12 Milan Crha 2012-01-02 06:19:13 EST
*** Bug 770189 has been marked as a duplicate of this bug. ***
Comment 13 Milan Crha 2012-01-11 05:37:47 EST
*** Bug 773064 has been marked as a duplicate of this bug. ***
Comment 14 Milan Crha 2012-01-18 05:18:30 EST
*** Bug 782440 has been marked as a duplicate of this bug. ***
Comment 15 Milan Crha 2012-01-23 02:58:18 EST
*** Bug 783610 has been marked as a duplicate of this bug. ***
Comment 16 Milan Crha 2012-01-25 03:58:54 EST
*** Bug 784199 has been marked as a duplicate of this bug. ***
Comment 17 Milan Crha 2012-02-02 04:16:00 EST
*** Bug 786426 has been marked as a duplicate of this bug. ***
Comment 18 Milan Crha 2012-02-08 08:41:23 EST
*** Bug 788146 has been marked as a duplicate of this bug. ***
Comment 19 jwest81 2012-02-21 15:41:15 EST
I was accepting a meeting proposal to add it to the calendar, and was given an error

backtrace_rating: 3
Package: evolution-data-server-3.2.3-2.fc16
OS Release: Fedora release 16 (Verne)
Comment 20 jwest81 2012-02-21 15:41:21 EST
Created attachment 564780 [details]
File: backtrace
Comment 21 Christopher Beland 2012-02-22 10:49:37 EST
Accepting a meeting

backtrace_rating: 4
Package: evolution-data-server-3.2.3-2.fc16
OS Release: Fedora release 16 (Verne)
Comment 22 Christopher Beland 2012-02-22 10:49:42 EST
Created attachment 565027 [details]
File: backtrace
Comment 23 stuart_ledwich 2012-02-29 06:21:55 EST
yet again, email rec'd with an event clicked accept and crash.

backtrace_rating: 4
Package: evolution-data-server-3.2.3-2.fc16
OS Release: Fedora release 16 (Verne)
Comment 24 stuart_ledwich 2012-02-29 06:22:03 EST
Created attachment 566528 [details]
File: backtrace
Comment 25 stuart_ledwich 2012-02-29 06:25:53 EST
Just want to add - I can reproduce this at will simply by opening any existing mail with a calendar event attachment and clicking accept. 

If needed I am happy to assist with testing, or diagnosis of the problem. Thanks
Comment 26 Allan Engelhardt 2012-03-03 03:17:55 EST
Import ics file

backtrace_rating: 4
Package: evolution-data-server-3.2.3-2.fc16
OS Release: Fedora release 16 (Verne)
Comment 27 Allan Engelhardt 2012-03-03 03:18:02 EST
Created attachment 567241 [details]
File: backtrace
Comment 28 Milan Crha 2012-03-08 03:19:06 EST
*** Bug 801258 has been marked as a duplicate of this bug. ***
Comment 29 Milan Crha 2012-03-08 08:48:27 EST
*** Bug 801418 has been marked as a duplicate of this bug. ***
Comment 30 Milan Crha 2012-03-08 08:49:22 EST
From bug 801418:
#3  0x0000003ffaa26e31 in _dbus_warn_check_failed (format=0x3ffaa31558 "The last reference on a connection was dropped without closing the connection. This is a bug in an application. See dbus_connection_unref() documentation for details.\n%s") at dbus-internals.c:289
Comment 31 Milan Crha 2012-03-12 05:40:19 EDT
*** Bug 801886 has been marked as a duplicate of this bug. ***
Comment 32 Milan Crha 2012-03-13 05:42:30 EDT
*** Bug 802595 has been marked as a duplicate of this bug. ***
Comment 33 Milan Crha 2012-03-13 14:57:30 EDT
*** Bug 802858 has been marked as a duplicate of this bug. ***
Comment 34 Milan Crha 2012-03-13 16:40:20 EDT
I had a chat with halfline and he pointed out that GConf library doesn't call dbus_g_thread_init (), because it cannot, as it's supposed to be called only once, and the GCOnf library cannot know whether its user called it or not. evolution-data-server uses GConf from multiple threads (not the right thing to do, but there is no way at the moment, the 3.6 may use GSettings exclusively, which will fix it in the right way), thus it should initialize dbus-glib threading for GConf in its main.

I built a test package and I would like to ask any reporter of this bug, if you could try to install it and use it for awhile, whether the change will help or not. Only note that after its installation you may ensure that e-calendar-factory and e-addressbook-factory processes are restarted, to make sure that the right factories are used.

http://koji.fedoraproject.org/koji/taskinfo?taskID=3891632
Comment 35 stuart_ledwich 2012-03-14 04:02:13 EDT
Hi, thank you for the test package. I have installed and accepted a few meeting invites and so far everything has worked well. I will continue to use the test package and report back any issues. Thanks again.
Comment 36 Jiri Eischmann 2012-03-14 05:19:55 EDT
Works for me. It doesn't crash any more. On the other hand, I'm not sure if answering an invitation works 100%. I had a colleague sent me an invitation, I accepted it, but he didn't receive any answer. Then he modified the meeting, sent another invitation, I accepted it and he received my answer.
I will keep testing it.
Comment 37 Milan Crha 2012-03-15 10:40:40 EDT
*** Bug 803053 has been marked as a duplicate of this bug. ***
Comment 38 Gerard Fernandes 2012-03-15 17:30:01 EDT
How do I install package: http://koji.fedoraproject.org/koji/taskinfo?taskID=3891632 ?

Is this going to be promoted to stable updates at some point?

Thank you.
Comment 39 stuart_ledwich 2012-03-16 03:31:52 EDT
Use the link provided by Milan:

http://koji.fedoraproject.org/koji/taskinfo?taskID=3891632

Then on that page look for the 'Descendent Tasks 	build' section and download either the 64bit or x86 version as needed for your system. Just click the desired link and it will download the package and the software installer package will auto install. Thats it.
Comment 40 Milan Crha 2012-03-16 04:04:01 EDT
*** Bug 803926 has been marked as a duplicate of this bug. ***
Comment 41 Milan Crha 2012-03-16 04:09:58 EDT
(In reply to comment #38)
> Is this going to be promoted to stable updates at some point?

I think I can do the update, as we have two positive feedbacks here. I'll wait till Monday and if it'll work as expected, then I'll create the update.
Comment 42 Pierguido Lambri 2012-03-16 04:22:25 EDT
I've been using the new package since few days.
I didn't have any crash any more but the sender of the invites are
not getting my replies :)
Comment 43 stuart_ledwich 2012-03-16 04:41:03 EDT
Following Pierguido response I have also tried a mtg req this morning and it does appear to book the mtg invite into the calendar but I didnt see anything in the outbox as a response. I have to say this is far more desirable than the crash but clearly its not completely fixed. I will check with the mtg requestor today to see if they got anything and report back. Thanks
Comment 44 Milan Crha 2012-03-19 09:02:40 EDT
I prefer to open a new bug report against evolution for the missing reply. I do not think these two are much connected. Please do not forget to write there what calendar type you see the misbehaviour in (like On This Computer, CalDAV...). Maybe it'll end as an upstream bug, not related to Fedora itself, but let's see what we will find out.
Comment 45 Milan Crha 2012-03-22 06:52:58 EDT
*** Bug 804864 has been marked as a duplicate of this bug. ***
Comment 46 Milan Crha 2012-03-22 06:54:35 EDT
Doe to a positive feedback (regarding the crash itself), I'm filling an official update for eds in F16. The F17 version has this fixed upstream.
Comment 47 Fedora Update System 2012-03-22 07:25:42 EDT
evolution-data-server-3.2.3-3.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/evolution-data-server-3.2.3-3.fc16
Comment 48 Fedora Update System 2012-03-23 20:29:44 EDT
Package evolution-data-server-3.2.3-3.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing evolution-data-server-3.2.3-3.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-4586/evolution-data-server-3.2.3-3.fc16
then log in and leave karma (feedback).
Comment 49 Daniel Demus 2012-03-29 16:29:26 EDT
I only noticed the report when logging in

backtrace_rating: 4
Package: evolution-data-server-3.2.3-2.fc16
OS Release: Fedora release 16 (Verne)
Comment 50 Daniel Demus 2012-03-29 16:29:37 EDT
Created attachment 573792 [details]
File: backtrace
Comment 51 Milan Crha 2012-04-02 03:12:27 EDT
*** Bug 808117 has been marked as a duplicate of this bug. ***
Comment 52 Milan Crha 2012-04-02 03:27:50 EDT
*** Bug 808920 has been marked as a duplicate of this bug. ***
Comment 53 Milan Crha 2012-04-04 07:49:18 EDT
*** Bug 809474 has been marked as a duplicate of this bug. ***
Comment 54 Fedora Update System 2012-04-11 00:00:59 EDT
evolution-data-server-3.2.3-3.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 55 Fedora Update System 2012-04-11 12:56:44 EDT
evolution-data-server-3.2.3-3.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.